org.eclipse.actf.util.httpproxy.proxy

## Interface IHTTPProxyTranscoder

    public interface IHTTPProxyTranscoder

Transcoder of HTTP response message.

### Method Summary

Methods
`IHTTPResponseMessage` `transcode(int id, IHTTPRequestMessage request, IHTTPResponseMessage response)` Transforms an HTTP response message.

### Method Detail

#### transcode

    IHTTPResponseMessage transcode(int id,
                                 IHTTPRequestMessage request,
                                 IHTTPResponseMessage response)

Transforms an HTTP response message.

Parameters:
  `id` - id of request
  `request` - an HTTP request message
  `response` - an HTTP response message
Returns:
  transcoded HTTP response message